## org.exist.collections.triggers
Class TriggerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.collections.triggers.TriggerException

All Implemented Interfaces:
  java.io.Serializable

public class TriggerException
extends java.lang.Exception

Author:
  wolf
See Also:
  Serialized Form

Constructor Summary
`TriggerException()`
`TriggerException(java.lang.String message)`
`TriggerException(java.lang.String message, java.lang.Throwable cause)`
`TriggerException(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TriggerException

    public TriggerException()

### TriggerException

    public TriggerException(java.lang.String message)

Parameters:
  `message` -

### TriggerException

    public TriggerException(java.lang.Throwable cause)

Parameters:
  `cause` -

### TriggerException

    public TriggerException(java.lang.String message,
                            java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

Copyright (C) Wolfgang Meier. All rights reserved.